/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2022  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#include "gctl/utility.h"

int main(int argc, char const *argv[])
{
	// declare a progress bar with the size of p_size
	int p_size = 10;
	gctl::progress_bar bar(p_size, "Sample");

	// do something and show the progress
	for (int i = 0; i < p_size; ++i)
	{
		bar.progressed(i);
		sleep(1);
	}

	// reset the progress bar to the size of 2*p_size
	bar.reset(2*p_size, "Sample-2");
	// set customized styles for the progress bar
	bar.set_style(">", " ");

	// do something and show the progress
	for (int i = 0; i < 2*p_size; ++i)
	{
		bar.progressed(i);
		sleep(1);
	}

	// reset the progress bar
	bar.reset(p_size, "Sample-3");

	// do something and show the simple progress
	for (int i = 0; i < p_size; ++i)
	{
		bar.progressed_simple(i);
		sleep(1);
	}
	return 0;
}